[sip-comm] SIP communicator BundleException


#1

Hi,
Sorry for any trouble.
I downloaded a copy from CVS, but cannot run it, due to the following
exceptions:
Btw, I can rebuild it successfully. Seems it is Felix bundle problem. I
don't know it well. Should I change any settings??

BR

niepin

[java] Welcome to Felix.
     [java] =================
     [java] DEBUG: WIRE: 1.0 ->
org.apache.felix.servicebinder.architecture -> 1.0
     [java] DEBUG: WIRE: 1.0 -> org.osgi.framework -> 0
     [java] DEBUG: WIRE: 1.0 -> org.apache.felix.servicebinder -> 1.0
     [java] ERROR: Error starting file:sc-bundles/util.jar
(org.osgi.framework.BundleException: Unresolved package in bundle 2:
org.apache.xml.serialize)
     [java] org.osgi.framework.BundleException: Unresolved package in
bundle 2: org.apache.xml.serialize
     [java] at
org.apache.felix.framework.Felix._resolveBundle(Felix.java:1362)
     [java] at
org.apache.felix.framework.Felix._startBundle(Felix.java:1241)
     [java] ERROR: Error starting file:sc-bundles/configuration.jar
(org.osgi.framework.BundleException: Unresolved package in bundle 2:
org.apache.xml.serialize)
     [java] at org.apache.felix.framework.Felix.startBundle(Felix.java:1201)
     [java] at
org.apache.felix.framework.Felix.setFrameworkStartLevel(Felix.java:807)
     [java] at
org.apache.felix.framework.StartLevelImpl.run(StartLevelImpl.java:256)
     [java] at java.lang.Thread.run(Unknown Source)
     [java] org.osgi.framework.BundleException: Unresolved package in
bundle 2: org.apache.xml.serialize
     [java] DEBUG: WIRE: 4.0 ->
net.java.sip.communicator.service.version -> 4.0
     [java] at
org.apache.felix.framework.Felix._resolveBundle(Felix.java:1362)
     [java] ERROR: Error starting file:sc-bundles/version-impl.jar
(org.osgi.framework.BundleException: Unresolved package in bundle 2:
org.apache.xml.serialize)
     [java] at
org.apache.felix.framework.Felix._startBundle(Felix.java:1241)
     [java] at org.apache.felix.framework.Felix.startBundle(Felix.java:1201)
     [java] at
org.apache.felix.framework.Felix.setFrameworkStartLevel(Felix.java:807)
     [java] at
org.apache.felix.framework.StartLevelImpl.run(StartLevelImpl.java:256)
     [java] at java.lang.Thread.run(Unknown Source)

···

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: users-help@sip-communicator.dev.java.net